dbXML API

## org.dbxml.core
Class SystemCollection

    java.lang.Object
      |
      +--org.dbxml.core.CollectionManager
            |
            +--org.dbxml.core.Collection
                  |
                  +--org.dbxml.core.SystemCollection

All Implemented Interfaces:
  org.dbxml.server.Configurable, DBObject, org.dbxml.server.Disposable, org.dbxml.server.Named

public final class SystemCollection
extends Collection

SystemCollection represents the System Collection. Beyond standard Collection operations, this class will provide facilities for Schema and SymbolTable management among other things.

Field Summary
`static java.lang.String` `ACCESS`
`static java.lang.String` `CLASSGEN`
`static java.lang.String` `CONFIGS`
`static java.lang.String` `GROUPS`
`static java.lang.String` `OBJECTS`
`static java.lang.String` `SYMBOLS`
`static java.lang.String` `SYSCOL`
`static java.lang.String` `USERS`

Constructor Summary
`SystemCollection(Database db)`

Method Summary
`SymbolTable` `loadSymbols(Collection collection)` loadSymbols retrieves the SymbolTable for the specified Collection.
`void` `saveSymbols(Collection collection, SymbolTable symbols)` saveSymbols save the SymbolTable for the specified Collection.

Methods inherited from class org.dbxml.core.Collection

`close, create, createIndexer, createNewOID, createXMLObject, drop, dropIndexer, dropXMLObject, exists, flushSymbolTable, getCanonicalDocumentName, getCanonicalName, getCollectionRoot, getContainer, getDatabase, getDocument, getDocumentCount, getDocumentSet, getFiler, getIndexer, getIndexManager, getName, getObject, getParentCollection, getQueryEngine, getSymbols, getSystemCollection, getXMLObject, getXMLObjectManager, insertDocument, insertDocument, insertObject, insertObject, isOpened, listDocuments, listIndexers, listXMLObjects, open, queryCollection, queryDocument, remove, setConfig, setDocument, setObject`

Methods inherited from class org.dbxml.core.CollectionManager
`createCollection, dispose, dropCollection, getCollection, getConfig, listCollections`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.dbxml.server.Configurable
`getConfig`

Field Detail

### CLASSGEN

    public static final java.lang.String CLASSGEN

### SYSCOL

    public static final java.lang.String SYSCOL

### SYMBOLS

    public static final java.lang.String SYMBOLS

### OBJECTS

    public static final java.lang.String OBJECTS

### CONFIGS

    public static final java.lang.String CONFIGS

### USERS

    public static final java.lang.String USERS

### GROUPS

    public static final java.lang.String GROUPS

### ACCESS

    public static final java.lang.String ACCESS

Constructor Detail

### SystemCollection

    public SystemCollection(Database db)

Method Detail

### loadSymbols

    public SymbolTable loadSymbols(Collection collection)
                            throws DBException

  loadSymbols retrieves the SymbolTable for the specified Collection.
  Parameters:
    `collection` - The Collection whose SymbolTable is required
  Returns:
    The requested SymbolTable

### saveSymbols

    public void saveSymbols(Collection collection,
                            SymbolTable symbols)
                     throws DBException

  saveSymbols save the SymbolTable for the specified Collection.
  Parameters:
    `collection` - The Collection that owns the SymbolTable
    `symbols` - The SymbolTable

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved